html,
body,
div,
span,
applet,
object,
iframe,
h1,
h2,
h3,
h4,
h5,
h6,
p,
blockquote,
pre,
a,
abbr,
acronym,
address,
big,
cite,
code,
del,
dfn,
em,
img,
ins,
kbd,
q,
s,
samp,
small,
strike,
strong,
sub,
sup,
tt,
var,
b,
u,
i,
center,
dl,
dt,
dd,
ol,
ul,
li,
fieldset,
form,
label,
legend,
table,
caption,
tbody,
tfoot,
thead,
tr,
th,
td,
article,
aside,
canvas,
details,
embed,
figure,
figcaption,
footer,
header,
hgroup,
menu,
nav,
output,
ruby,
section,
summary,
time,
mark,
audio,
video {
  margin: 0;
  padding: 0;
  border: 0;
  font-size: 100%;
  font: inherit;
  vertical-align: baseline;
}
strong {
  font-weight: bold;
}
article,
aside,
details,
figcaption,
figure,
footer,
header,
hgroup,
menu,
nav,
section {
  display: block;
}
body {
  line-height: 1;
}
ol,
ul {
  list-style: none;
}
blockquote,
q {
  quotes: none;
}
blockquotebefore,
blockquoteafter,
qbefore,
qafter {
  content: '';
  content: none;
}
table {
  border-collapse: collapse;
  border-spacing: 0;
}
:root {
  --primary: #311b92;
  --primary-dark: #000063;
  --primary-light: #6746c3;
  --primary-light-light: #9766d0;
  --primary-text: #f5f5f6;
  --secondary: #f5f5f6;
  --secondary-dark: #e9eae9;
  --secondary-dark-dark: #c7cac7;
  --secondary-text: #020007;
}
body {
  padding: 0;
  margin: 0;
  font-family: 'Arimo', 'Segoe UI', Arial, sans-serif;
  font-weight: normal;
  -webkit-font-smoothing: antialiased;
  font-size: 15px;
  overflow: hidden;
  overscroll-behavior: none;
}
main {
  display: flex;
  flex-flow: row wrap;
  background: var(--secondary-dark);
}
main header {
  position: relative;
  flex: 0 0 100%;
  height: 40px;
  border-top: 13px solid var(--primary-dark);
  border-bottom: 1px solid var(--primary-light);
  background: var(--primary);
  color: var(--primary-text);
  cursor: default;
}
main header h1 {
  padding: 0 0 0 15px;
  margin: 0;
  font-weight: bold;
  font-size: 20px;
  line-height: 40px;
  display: inline-block;
}
main header h1 span {
  font-size: 13px;
  font-weight: normal;
}
main header .buttons {
  position: absolute;
  top: 0;
  right: 15px;
}
main header .buttons a,
main header .buttons button {
  display: inline-block;
  align-items: flex-start;
  text-align: center;
  box-sizing: border-box;
  border: 0;
  width: 32px;
  height: 40px;
  line-height: 32px;
  padding: 0;
  margin: 0;
  background: transparent;
  font-size: 16.5px !important;
  color: var(--primary-text);
  cursor: pointer;
  transition: color 0.1s ease-in-out;
  text-decoration: none;
}
main header .buttons a:hover,
main header .buttons button:hover {
  color: #baf;
}
main footer {
  z-index: 3;
  flex: 0 0 100%;
  height: 40px;
  border-top: 1px solid var(--primary);
  position: relative;
  background: var(--primary-dark);
  color: var(--primary-text);
}
main footer .error {
  height: 40px;
  line-height: 40px;
  padding-left: 15px;
  color: #ff002f;
  opacity: 0;
  transition: opacity 0.15s ease-in-out;
}
main footer .error.visible {
  opacity: 1;
}
main footer .credits {
  position: absolute;
  top: 0;
  right: 0;
  line-height: 40px;
  height: 40px;
}
main footer .credits a {
  color: #fff;
  font-size: 24px !important;
  line-height: 40px;
  padding-right: 15px;
  text-decoration: none;
}
.overlay {
  z-index: 2;
  display: block;
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: rgba(250,255,245,0.6);
  opacity: 0;
  pointer-events: none;
  transition: opacity 0.15s ease-in-out;
}
.overlay .popup {
  position: relative;
  display: inline-block;
  width: auto;
  margin: 0 auto;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  background: var(--secondary);
  opacity: 0;
  transition: opacity 0.45s ease-in-out;
  border-radius: 3px;
  border: 8px solid var(--primary);
  color: var(--secondary-text);
  box-shadow: #444 0 0 40px;
}
.overlay .popup-close-button {
  visibility: hidden;
  position: absolute;
  top: -20px;
  right: -20px;
  width: 32px;
  height: 32px;
  border-radius: 16px;
  text-align: center;
  line-height: 32px;
  font-size: 17px;
  color: var(--primary-text);
  background-color: var(--primary-dark);
}
.overlay .popup-close-button span {
  line-height: 32px;
}
.overlay.visible {
  opacity: 1;
  pointer-events: all;
}
.overlay.visible .popup {
  opacity: 1;
}
.overlay.with-close-button .popup-close-button {
  visibility: visible;
  pointer-events: all;
}
input[type=range] {
  -webkit-appearance: none;
  width: 100%;
  margin: 4.25px 0;
}
input[type=range]:focus {
  outline: none;
}
input[type=range]::-webkit-slider-runnable-track {
  width: 100%;
  height: 1.5px;
  cursor: pointer;
  box-shadow: 0px 0px 0.6px #000, 0px 0px 0px #0d0d0d;
  background: #3071a9;
  border-radius: 0px;
  border: 0px solid #010101;
}
input[type=range]::-webkit-slider-thumb {
  box-shadow: 0.6px 0.6px 0.5px rgba(0,0,0,0.45), 0px 0px 0.6px rgba(13,13,13,0.45);
  border: 1px solid #000;
  height: 10px;
  width: 10px;
  border-radius: 10px;
  background: #fff;
  cursor: pointer;
  -webkit-appearance: none;
  margin-top: -4.25px;
}
input[type=range]:focus::-webkit-slider-runnable-track {
  background: #3071a9;
}
input[type=range]::-moz-range-track {
  width: 100%;
  height: 1.5px;
  cursor: pointer;
  box-shadow: 0px 0px 0.6px #000, 0px 0px 0px #0d0d0d;
  background: #3071a9;
  border-radius: 0px;
  border: 0px solid #010101;
}
input[type=range]::-moz-range-thumb {
  box-shadow: 0.6px 0.6px 0.5px rgba(0,0,0,0.45), 0px 0px 0.6px rgba(13,13,13,0.45);
  border: 1px solid #000;
  height: 10px;
  width: 10px;
  border-radius: 10px;
  background: #fff;
  cursor: pointer;
}
input[type=range]::-ms-track {
  width: 100%;
  height: 1.5px;
  cursor: pointer;
  background: transparent;
  border-color: transparent;
  color: transparent;
}
input[type=range]::-ms-fill-lower {
  background: #3071a9;
  border: 0px solid #010101;
  border-radius: 0px;
  box-shadow: 0px 0px 0.6px #000, 0px 0px 0px #0d0d0d;
}
input[type=range]::-ms-fill-upper {
  background: #3071a9;
  border: 0px solid #010101;
  border-radius: 0px;
  box-shadow: 0px 0px 0.6px #000, 0px 0px 0px #0d0d0d;
}
input[type=range]::-ms-thumb {
  box-shadow: 0.6px 0.6px 0.5px rgba(0,0,0,0.45), 0px 0px 0.6px rgba(13,13,13,0.45);
  border: 1px solid #000;
  height: 10px;
  width: 10px;
  border-radius: 10px;
  background: #fff;
  cursor: pointer;
  height: 1.5px;
}
input[type=range]:focus::-ms-fill-lower {
  background: #3071a9;
}
input[type=range]:focus::-ms-fill-upper {
  background: #3071a9;
}
input[type=range] {
  transform: translate(0px, -3px);
}
@supports (-moz-appearance: none) {
  input[type=range] {
    transform: translate(0px, 7px);
  }
}
main section.working-space {
  position: relative;
  flex: 1 1 300px;
  height: calc(100vh - 95px);
  background: var(--secondary);
  color: var(--secondary-text);
}
main section.working-space .graph {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
}
main section.working-space .graph .toggle-snapping-button {
  position: absolute;
  z-index: 1;
  top: 8px;
  right: 8px;
  line-height: 23px;
  width: 24px;
  display: block;
  height: 24px;
  border: 0;
  padding: 0;
  background-color: var(--primary);
  color: #fff;
  border-radius: 3px;
  cursor: pointer;
  transition: color 0.1s ease-in-out;
}
main section.working-space .graph .toggle-snapping-button:hover {
  color: #baf;
}
main section.working-space .preview {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background: #f00;
  opacity: 0;
  pointer-events: none;
}
main section.working-space .preview.active {
  opacity: 1;
  pointer-events: all;
}
main section.working-space .preview .buttons {
  position: absolute;
  z-index: 1;
  top: 8px;
  right: 8px;
  width: 24px;
}
main section.working-space .preview .buttons button {
  line-height: 23px;
  width: 24px;
  display: block;
  height: 24px;
  border: 0;
  padding: 0;
  margin-bottom: 6px;
  background-color: var(--primary);
  color: #fff;
  border-radius: 3px;
  cursor: pointer;
  transition: color 0.1s ease-in-out;
}
main section.working-space .preview .buttons button.bold {
  font-weight: bold;
}
main section.working-space .preview .buttons button:hover {
  color: #baf;
}
main section.sidebar {
  user-select: none;
  -moz-user-select: none;
  flex: 0 0 300px;
  height: calc(100vh - 95px);
  background: var(--secondary-dark);
  color: var(--secondary-text);
  overflow-x: hidden;
  overflow-y: hidden;
  scrollbar-width: thin;
}
main section.sidebar .sidebar-content {
  height: auto;
  width: 300px;
  overflow-x: hidden;
}
main section.sidebar::-webkit-scrollbar {
  background: transparent;
  width: 6px;
}
main section.sidebar::-webkit-scrollbar-thumb {
  background: rgba(0,0,0,0.7);
  width: 6px;
  border-radius: 3px;
}
main section.sidebar::-webkit-scrollbar-button {
  display: none;
}
main section.sidebar:hover {
  overflow-y: auto;
}
.graph {
  overflow: hidden;
  user-select: none;
  -moz-user-select: none;
  cursor: default;
  outline: none;
}
.graph .graph-container {
  width: 100%;
  height: 100%;
  overflow: visible;
  transform: translate3d(0px, 0px, 0px);
}
.graph .graph-container svg {
  position: absolute;
  top: 0;
  left: 0;
  pointer-events: none;
}
.graph .graph-container svg path.display-path {
  fill: none;
  stroke: var(--secondary-dark-dark);
  stroke-width: 2;
  stroke-linecap: round;
  transition: stroke-width 0.2s ease-in-out;
}
.graph .graph-container svg path.interactive-path {
  fill: none;
  stroke: transparent;
  stroke-width: 13;
  stroke-linecap: round;
  opacity: 0.2;
  cursor: pointer;
  pointer-events: auto;
}
.graph .graph-container svg.hover path.display-path {
  stroke-width: 3.5;
  stroke-linecap: round;
}
.graph .graph-container svg.dragging path.display-path {
  stroke-dasharray: 2 6;
}
.graph .graph-container svg.selected path.display-path {
  stroke-width: 3.5;
  stroke: var(--primary);
}
.graph .graph-container svg.error path.display-path {
  stroke-width: 4;
  stroke: #d00;
}
.graph .graph-container .layer {
  position: absolute;
  top: 0;
  left: 0;
}
.board-dragging,
.board-dragging .node,
.board-dragging svg path {
  cursor: move !important;
  cursor: -moz-grabbing !important;
  cursor: -webkit-grabbing !important;
  cursor: grabbing !important;
}
.node-dragging,
.node-dragging .node,
.node-dragging svg path {
  cursor: move !important;
  cursor: -moz-grabbing !important;
  cursor: -webkit-grabbing !important;
  cursor: grabbing !important;
}
.connection-dragging,
.connection-dragging .node,
.connection-dragging svg path {
  cursor: crosshair !important;
}
.connection-dragging .node .anchor-input {
  cursor: pointer !important;
}
.node {
  position: absolute;
  top: 0;
  left: 0;
  transform: translate(0px, 0px);
  width: 100px;
  height: 100px;
  margin-left: -50px;
  margin-top: -50px;
  background-color: var(--secondary-dark-dark);
  cursor: pointer;
}
.node.selected {
  background-color: var(--primary-dark);
}
.node .node-label {
  position: absolute;
  bottom: 102px;
  left: -20px;
  right: -20px;
  text-align: center;
  color: var(--secondary-dark-dark);
  font-size: 12px;
}
.node.selected .node-label {
  color: var(--primary-light);
}
.node canvas {
  background: var(--secondary-dark);
  margin: 2px;
  pointer-events: none;
}
.node .inputs {
  position: absolute;
  top: 8px;
  left: -8px;
  width: 16px;
  height: 96px;
  pointer-events: none;
}
.node .outputs {
  position: absolute;
  top: 8px;
  left: 92px;
  width: 16px;
  height: auto;
  pointer-events: none;
}
.node .outputs div.output,
.node .inputs div.input {
  white-space: nowrap;
  display: inline-block;
  width: 16px;
  height: 16px;
  margin-bottom: 4px;
  overflow: visible;
  pointer-events: none;
}
.node .outputs {
  direction: ltr;
}
.node .inputs {
  direction: rtl;
}
.node .outputs div span.anchor,
.node .inputs div span.anchor {
  display: inline-block;
  width: 16px;
  height: 16px;
  background-color: rgba(0,0,0,0.2);
  border-radius: 50%;
  pointer-events: auto;
}
.node .outputs div.connected span.anchor,
.node .inputs div.connected span.anchor {
  background-color: rgba(255,255,0,0.8);
}
.node .outputs div span.anchor:before,
.node .inputs div span.anchor:before {
  content: '';
  display: inline-block;
  width: 8px;
  height: 8px;
  background: #fff;
  border-radius: 50%;
  margin: 4px;
}
.node .outputs div span.label,
.node .inputs div span.label {
  display: inline-block;
  margin: 0 4px;
  line-height: 16px;
  vertical-align: text-top;
  font-size: 12px;
  color: #666;
  font-family: Arial;
}
.selector {
  position: absolute;
  top: 0;
  left: 0;
  font-size: 13px;
  border: 1px solid var(--secondary-dark-dark);
  width: 200px;
  height: 300px;
  overflow: hidden;
  user-select: none;
  -moz-user-select: none;
  opacity: 0;
  transition: opacity 0.12s ease-in-out;
  pointer-events: none;
  cursor: default;
  z-index: 2;
}
.selector.active {
  opacity: 1;
  pointer-events: auto;
}
.selector input {
  background: #fff;
  border: none;
  display: block;
  box-sizing: border-box;
  padding: 3px 5px;
  width: 200px;
  height: 25px;
  cursor: default;
  outline: none;
}
.selector .types-container {
  background: var(--secondary-dark);
  height: calc(100% - 25px);
  overflow-y: scroll;
  -ms-overflow-style: -ms-autohiding-scrollbar;
}
.selector .types-container::-webkit-scrollbar {
  display: none;
}
.selector .types-container div {
  height: 25px;
  line-height: 26px;
  padding: 0 5px;
  background-color: rgba(255,255,255,0);
  transition: background-color 0.05s linear;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  cursor: pointer;
}
.selector .types-container div.hover {
  background-color: rgba(255,255,255,0.4);
}
.selector .types-container div span {
  display: inline-block;
}
.selector .types-container div::before {
  display: inline-block;
  position: relative;
  top: 0;
  left: 0;
  width: 8px;
  opacity: 0.3;
  font-weight: bold;
  text-align: center;
  margin-right: 4px;
  font-size: 12px;
}
.selector .types-container div.type-source::before {
  content: 's';
}
.selector .types-container div.type-filter::before {
  content: 'f';
}
.component-input-angle {
  background: transparent;
}
.component-input-angle .input-container {
  position: relative;
}
.component-input-angle .input-container input {
  width: 100px;
  position: absolute;
  top: 50%;
  right: 30px;
  transform: translateY(-50%);
}
.component-input-angle .input-container svg {
  margin-top: 0;
  margin-left: 5px;
}
.component-input-angle .input-container svg .circle {
  fill: transparent;
  stroke: var(--primary-dark);
  stroke-width: 1.9;
  stroke-linecap: round;
}
.component-input-angle .input-container svg .point {
  fill: var(--primary);
  pointer-events: none;
  transform-origin: 50% 50%;
  transform: rotate(0rad);
  text-align: center;
  vertical-align: middle;
}
.component-input-boolean {
  background: #ffc0cb;
}
.component-input-boolean label {
  display: none !important;
}
.component-input-boolean button {
  border: 0;
  width: 100%;
  opacity: 0.5;
  transition: opacity 0.12s ease-in-out;
  background-color: #fff;
  color: var(--secondary-text);
  cursor: pointer;
}
.component-input-boolean button.enabled {
  opacity: 1;
}
.component-input-description {
  background: transparent;
}
.component-input-description label {
  display: none !important;
}
.component-input-description p {
  margin: 7px;
  font-size: 12px;
  opacity: 0.9;
}
.component-input {
  background: transparent;
  padding: 7px 5px 8px 5px;
  border-bottom: 1px solid rgba(0,0,0,0.066);
  user-select: none;
  -webkit-user-select: none;
  -webkit-user-drag: none;
}
.component-input.disable {
  display: none;
}
.component-input label {
  display: inline-block;
  margin-bottom: 7px;
  font-size: 14px;
}
.component-input input[type=text] {
  padding: 4px;
  font-size: 11px;
  border: 0;
}
.component-input input {
  outline: none;
}
.component-input button {
  outline: none;
}
.component-input-graycolor {
  background: transparent;
  position: relative;
}
.component-input-graycolor .color-preview {
  display: inline-block;
  width: 58px;
  height: 12px;
  background: #000;
  border: 1px solid var(--secondary);
  position: absolute;
  top: 5px;
  right: 10px;
}
.component-input-graycolor .vector-component.hidden {
  display: none;
}
.component-input-graycolor .vector-component label {
  width: 15px;
  text-transform: uppercase;
  font-weight: bold;
  opacity: 0.6;
  font-size: 10px;
}
.component-input-graycolor .vector-component input[type=range] {
  width: 200px;
  margin-left: 5px;
}
.component-input-graycolor .vector-component input[type=text] {
  width: 55px;
  margin-left: 5px;
}
.component-input-image {
  background: transparent;
}
.component-input-image .image-container {
  position: relative;
  width: 100%;
  padding-top: 66%;
  overflow: hidden;
  background: transparent;
}
.component-input-image .image-container img {
  position: absolute;
  top: 0;
  left: 0;
  object-fit: cover;
  width: 100%;
  height: 100%;
  opacity: 1;
  background-color: rgba(255,255,255,0.4);
  transition: opacity 0.15s ease-in-out;
}
.component-input-image .image-container input {
  position: absolute;
  top: 0;
  left: 0;
  opacity: 0;
  pointer-events: none;
}
.component-input-image .image-container .button-container {
  position: absolute;
  top: 0;
  left: 0;
  width: calc(100% - 20px);
  height: calc(100% - 20px);
  margin: 10px;
  border-radius: 4px;
  background-color: rgba(0,0,0,0);
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  transition: background-color 0.15s ease-in-out;
}
.component-input-image.dragging-file .image-container .button-container button {
  pointer-events: none;
}
.component-input-image.dragging-file .image-container img,
.component-input-image .image-container:hover img {
  opacity: 0.66;
}
.component-input-image .image-container .button-container button {
  margin: 0 10px;
  border: 0;
  background-color: #fff;
  color: var(--primary-color);
  font-family: 'Arimo', Segoe UI, Helvetica, Arial, sans-serif;
  padding: 2px 7px;
  font-size: 13px;
}
.component-input-range {
  background: transparent;
}
.component-input-range input[type=range] {
  width: 220px;
}
.component-input-range input[type=text] {
  width: 55px;
  margin-left: 5px;
}
.component-input-rgbcolor {
  background: transparent;
  position: relative;
}
.component-input-rgbcolor .color-preview {
  display: inline-block;
  width: 58px;
  height: 12px;
  background: #000;
  border: 1px solid var(--secondary);
  position: absolute;
  top: 5px;
  right: 10px;
}
.component-input-rgbcolor .vector-component.hidden {
  display: none;
}
.component-input-rgbcolor .vector-component label {
  width: 15px;
  text-transform: uppercase;
  font-weight: bold;
  opacity: 0.6;
  font-size: 10px;
}
.component-input-rgbcolor .vector-component input[type=range] {
  width: 200px;
  margin-left: 5px;
}
.component-input-rgbcolor .vector-component input[type=text] {
  width: 55px;
  margin-left: 5px;
}
.component-input-select {
  background: transparent;
}
.component-input-select .select-container {
  padding: 0;
  margin: 0;
  border: 0;
  width: 100%;
  overflow: hidden;
  background: #fff;
  position: relative;
}
.component-input-select .select-container:after {
  top: 50%;
  right: 10px;
  border: solid transparent;
  content: " ";
  height: 0;
  width: 0;
  position: absolute;
  pointer-events: none;
  border-color: rgba(0,0,0,0);
  border-top-color: #000;
  border-width: 5px;
  margin-top: -2px;
  z-index: 100;
}
.component-input-select .select-container select {
  padding: 4px 4px;
  width: 100%;
  border: none;
  box-shadow: none;
  background-color: transparent;
  background-image: none;
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
}
.component-input-select .select-container select:focus {
  outline: none;
}
.component-input-text {
  background: transparent;
}
.component-input-text input {
  width: 100%;
}
.component-input-title {
  background: transparent;
}
.component-input-title label {
  display: none !important;
}
.component-input-title h2 {
  font-size: 20px;
  font-weight: normal;
}
.component-input-vector {
  background: transparent;
}
.component-input-vector .vector-component.hidden {
  display: none;
}
.component-input-vector .vector-component label {
  width: 15px;
  text-transform: uppercase;
  font-weight: bold;
  opacity: 0.6;
  font-size: 10px;
}
.component-input-vector .vector-component input[type=range] {
  width: 200px;
  margin-left: 5px;
}
.component-input-vector .vector-component input[type=text] {
  width: 55px;
  margin-left: 5px;
}
.load-popup {
  width: 600px;
  height: 200px;
}
.load-popup .load-panel {
  width: 600px;
  height: 200px;
  line-height: 200px;
  text-align: center;
  font-size: 18px;
  opacity: 0.6;
  cursor: pointer;
  user-select: none;
  -moz-user-select: none;
}
.load-popup .load-popup-input {
  display: none;
}
